aboutsummaryrefslogtreecommitdiffstats
path: root/at76c503a
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2004-08-30 12:13:44 +0000
committerPhil Blundell <philb@gnu.org>2004-08-30 12:13:44 +0000
commitc2b81453ccc54e9a287f43b0501b5afdb9594fc9 (patch)
tree2f530f0d0a09e020d147fa0aa158dfe889a14195 /at76c503a
parentbaa0e441f0a6dc8b87c5b70a68215ebb493f6df4 (diff)
downloadopenembedded-c2b81453ccc54e9a287f43b0501b5afdb9594fc9.tar.gz
add /etc/modutils bits
BKrev: 413319f8g4D7eS0zBqd9Uij9y1fziw
Diffstat (limited to 'at76c503a')
-rw-r--r--at76c503a/at76c503a-modules_cvs.oe19
1 files changed, 19 insertions, 0 deletions
diff --git a/at76c503a/at76c503a-modules_cvs.oe b/at76c503a/at76c503a-modules_cvs.oe
index d4741d9006..e15333e51c 100644
--- a/at76c503a/at76c503a-modules_cvs.oe
+++ b/at76c503a/at76c503a-modules_cvs.oe
@@ -1,13 +1,32 @@
SRC_URI = "cvs://anonymous@cvs.berlios.de/cvsroot/at76c503a;module=at76c503a \
file://ipaq.patch;patch=1;pnum=0"
S = "${WORKDIR}/at76c503a"
+PR = "r1"
inherit module
MODULES = at76c503.o at76_usbdfu.o at76c503-i3861.o at76c503-rfmd.o at76c503-rfmd-acc.o \
at76c505-rfmd.o at76c503-i3863.o at76c505-rfmd2958.o
+pkg_postinst() {
+#!/bin/sh
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+update-modules || true
+}
+
+pkg_postrm() {
+#!/bin/sh
+update-modules || true
+}
+
do_install() {
install -d ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/usb/
for i in ${MODULES}; do install -m 0644 $i ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/usb/$i; done
+
+ if [ "${MACHINE}" = "h3900" ]; then
+ install -d ${D}/etc/modutils
+ echo "at76c503-rfmd" > ${D}/etc/modutils/at76c503-rfmd
+ fi
}